www.cendio.com
Bug 4746 - pcsctun doesn't convert smart card status
: pcsctun doesn't convert smart card status
Status: CLOSED FIXED
: ThinLinc
Smart card
: trunk
: PC Unknown
: P2 Normal
: 4.1.1
Assigned To:
:
:
:
:
  Show dependency treegraph
 
Reported: 2013-07-09 09:42 by
Modified: 2013-10-24 11:02 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From cendio 2013-07-09 09:42:31
The encoding of the smart card status differs between Windows and pcsc-lite, so
pcsctun needs to do some conversion.
------- Comment #1 From cendio 2013-07-09 13:21:32 -------
Fixed in r27632.
------- Comment #2 From cendio 2013-10-17 10:15:26 -------
Done several tests:

* Login to Apoteket using BankID+Fribid
* Init PKCS15 card using my pkcs15-selfsigned.sh
* Basic test with NetID for Linux

Tested these combinations:

server        client
=======================
4.1.0        4.1.1win    ok
4.1.0        4.1.1lin    ok
4.1.1        4.1.0win    ok    
4.1.1        4.1.0lin    ok
4.1.1        4.1.1win    ok
4.1.1        4.1.1lin    ok